Last Comment Bug 85772 - [WORKAROUND] linux flash plugin can't find ESD socked (no sound)
: [WORKAROUND] linux flash plugin can't find ESD socked (no sound)
Status: RESOLVED WORKSFORME
[PL2:Vendor][THIS IS A FLASH ISSUE --...
: relnote
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 Linux
: P3 normal with 2 votes (vote)
: Future
Assigned To: Peter Lubczynski
: shrirang khanzode
:
Mentors:
Depends on:
Blocks: 139820
  Show dependency treegraph
 
Reported: 2001-06-13 15:19 PDT by Stephane Chauveau
Modified: 2004-02-04 01:22 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
sometimes Flash sound works, sometimes it doesn't, if it doesn't, try again (402 bytes, text/plain)
2003-09-07 16:16 PDT, larry allen-tonar
no flags Details

Description Stephane Chauveau 2001-06-13 15:19:02 PDT
What I describe here is obviously a bug in the flash plugin for linux
and not a bug in mozilla. However, describing the problem and the solution
here may help a few mozilla users.

The effect is simple: no sound at all in flash. The reason ? 
On Debian (unstable) and may be other distributions the esd socket file 
has been moved from /tmp/.esd/socket to /var/run/esound/socket.
This change is normally resolved automatically by the dynamic library 
libesd.so but the flash plugin is statically linked with an old version 
using /tmp/.esd/socket. 

A temporay workaround is to create a symlink from /tmp/.esd to
/var/run/esound 

ln -s /var/run/esound /tmp/.esd

remark that on debian the user must be added to the 'audio' group to be 
able to use ESD.
Comment 1 Keyser Sose 2001-07-05 13:58:27 PDT
marking NEW.
Comment 2 basic 2001-07-11 06:06:20 PDT
related to bug 58339 ?
Comment 3 Stephane Chauveau 2001-07-11 09:12:34 PDT
Yes and no :-) 

The initial bug 58339 describes a problem when esd is used by multiple
applications while my workaround is about a change in the location of the 
esd socket. When I read the comments in 58339 I have the impression that
peoples are confused by what is built in the flash plugin.

The one I am using is Shockwave Flash 5.0 r45. It seems to be statically 
linked with an old version of esd:

chauveau@tolkien:~/.moz_plugins$ ldd libflashplayer.so 
        statically linked
chauveau@tolkien:~/.moz_plugins$ strings libflashplayer.so | grep esd
esd_open_sound
esd_get_server_info
esd_free_server_info
esd_play_stream
esd_close
esd_set_socket_buffers
esd_send_auth
esd_lock
esd_unlock
esd_standby
esd_resume
esd_config_read
esd_no_spawn
esd_spawn_options
esd_play_stream_fallback
esd_audio_format
esd_audio_rate
esd_audio_open
esd_monitor_stream
esd_filter_stream
esd_record_stream
esd_record_stream_fallback
esd_sample_cache
esd_confirm_sample_cache
esd_sample_getid
esd_sample_free
esd_sample_play
esd_sample_loop
esd_sample_stop
esd_print_server_info
esd_print_player_info
esd_print_sample_info
esd_print_all_info
esd_get_all_info
esd_free_all_info
esd_subscribe_all_info
esd_update_info
esd_unsubscribe_info
esd_set_stream_pan
esd_set_default_sample_pan
esd_get_standby_mode
esd_audio_device
esd_audio_devices
esd_audio_pause
esd_audio_close
esd_audio_write
esd_audio_read
esd_audio_flush
/.esd_auth
/tmp/.esd/socket
esd %s
- esd_subscribe_all_info: not yet implemented!
- esd_update_info: not yet implemented!
- esd_unsubscribe_info: not yet implemented!
/usr/etc/esd.conf
%s/.esd.conf



Comment 4 av (gone) 2002-01-18 14:54:32 PST
--- Mass reassigning Unix bugs to serge ---
Comment 5 Hilkiah Lavinier 2002-02-16 06:29:30 PST
Hi, I'm not sure if I should be posting to this bug or to #58339, however someone
posted a comment in 58339 as a work around:

artsdsp /usr/local/mozilla/mozilla 

I'd just like to confirm this DOES IN FACT work!!!!  I'm using mozilla 0.9.7,
RH72, and Shockwave Flash 5.0 r47.  I'm using KDE2.
Comment 6 David Damerell 2002-06-05 10:16:11 PDT
Hi all,
  Found a very simple way of sorting this problem out well it works for me, the
problem is with the aRts Sound Server, but u do not need to disable it, simply
click where it says Autosupend if idle for and set the timing to 1 second that
should fix it unless u activate flash within 1 second of the sound server.  Not
sure what else uses the sound server but all by sound works fine will using flash.

Hope that works on other systems, if no try disabling what you have running the
arts server all the time.
Comment 7 rubydoo123 2002-07-18 12:45:46 PDT
related to bug 58339, this is a flash issue and not a mozilla issue
Comment 8 rubydoo123 2002-07-31 08:19:18 PDT
reassign
Comment 9 Frederic Crozat 2002-09-12 02:59:26 PDT
Flash player 5.0.51 (released on Sep 11 2002) now longer includes esound code..
I think this bug can be closed.
Comment 10 rubydoo123 2002-12-12 15:40:24 PST
reassign
Comment 11 larry allen-tonar 2003-09-07 16:16:58 PDT
Created attachment 131045 [details]
sometimes Flash sound works, sometimes it doesn't, if it doesn't, try again
Comment 12 Oscar Manuel Gómez Senovilla 2003-10-11 13:24:20 PDT
I have upgraded to flash 6.0. By the moment, everything seems to work. Unless
there's any problematic URL I can try, it works for me.
Comment 13 Sven Krohlas 2004-02-04 01:22:46 PST
Marking WFM due to the last comment.
Reopen if your opinion is different and you can reproduce this with a
current build.

Note You need to log in before you can comment on or make changes to this bug.